Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.remoting
Class JMSRemotingConnection

    java.lang.Object
      org.jboss.jms.client.remoting.JMSRemotingConnection

public class JMSRemotingConnection
extends java.lang.Object

Encapsulates the state and behaviour from jboss remoting needed for a JMS connection. Each JMS connection maintains a single Client instance for invoking on the server, and a Connector instance that represents the callback server used to receive push callbacks from the server. Only Connector is maintained per protocol

Version:
  1.1 JMSRemotingConnection.java,v 1.1 2006/01/23 11:05:19 timfox Exp
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected CallbackManager` | `callbackManager`
`protected Connector` | `callbackServer`
`protected Client` | `client`
`protected InvokerLocator` | `serverLocator`

Constructor Summary
`JMSRemotingConnection(java.lang.String serverLocatorURI, boolean clientPing)`

Method Summary
`void` | `close()`
`CallbackManager` | `getCallbackManager()`
`Client` | `getInvokingClient()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### client

    protected Client client

### callbackServer

    protected Connector callbackServer

### serverLocator

    protected InvokerLocator serverLocator

### callbackManager

    protected CallbackManager callbackManager

Constructor Detail

### JMSRemotingConnection

    public JMSRemotingConnection(java.lang.String serverLocatorURI,
                                 boolean clientPing)
                          throws java.lang.Throwable

Method Detail

### close

    public void close()
               throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### getInvokingClient

    public Client getInvokingClient()

### getCallbackManager

    public CallbackManager getCallbackManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.